<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" </head>
        <title>Show Bike</title>
</head>

<body>
    {# Une des choses intéressantes dans cette page, c'est qu'on va
    au final avoir une url/page par vélo, mais en réalité, côté code
    nous n'avons qu'une seule route dans le contrôleur et qu'un
    seul template pour tous les vélos et c'est juste l'objet "bike"
    qui ne sera pas le même selon l'url qu'on accède
    On peut utiliser ensuite des if pour faire des affichages un poil
    différents selon la valeur de certaines propriétés du vélo (exemple
    ici si le vélo est électrique, on met un petit paragraphe) #}
        <a class="btn btn-primary" href="{{ path('all_bikes') }}">Back</a>
    {% if bike is not null %}
        <p>Brand: {{bike.brand}}</p>
        <p>Color: {{bike.color}}</p>
        <p>Gear Number: {{bike.gearNb}}</p>
    
        {% if bike.electric %}
            <p>This is an electric bike</p>
        {% endif %}
    
    {% else %}
        <p>There's no bike with this ID...</p>
    {% endif %}


</body>

</html>